﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lx="http://www.landxml.org/schema/LandXML-1.1" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:landUtils="http://www.autodesk.com/land/civil/vcedit" xmlns:earthworkUtils="urn:schemas-earth" xmlns:lxml="urn:lx_utils">
  <!--Description:Earthwork volumes report-->
  <!--CreatedBy:Autodesk Inc. -->
  <!--DateCreated:04/20/2004 -->
  <!--LastModifiedBy:Autodesk Inc. -->
  <!--DateModified:04/20/2004 -->
  <!--OutputExtension:html -->
  <xsl:output method="html" encoding="UTF-8" />
  <!-- ==== JavaScript Includes ==== -->
  <xsl:include href="../../scripts/NumberFormatting.xsl" />
  <xsl:include href="../../scripts/DK/StationFormatting_DK.xsl" />
  <!-- ============================= -->
  <!--<xsl:param name="SourceAreaUnit" select=".//Units/*/@areaUnit"/>
	<xsl:param name="SourceVolumeUnit" select="AeccEarthworkXML/Units/*/@volumeUnit"/>
	<xsl:param name="Surface.2D_Area.unit">default</xsl:param>
	<xsl:param name="Surface.2D_Area.precision">0.00</xsl:param>
	<xsl:param name="Surface.2D_Area.rounding">normal</xsl:param>
	<xsl:param name="Earthwork.Volume.unit">default</xsl:param>
	<xsl:param name="Earthwork.Volume.precision">0.00</xsl:param>
	<xsl:param name="Earthwork.Volume.rounding">normal</xsl:param>
	<xsl:param name="projectName" select="AeccEarthworkXML/Project/@name"/>-->
  <xsl:param name="SourceAreaUnit" select="AeccEarthworkXML/Settings/Area/@unit" />
  <xsl:param name="SourceVolumeUnit" select="AeccEarthworkXML/Settings/Volume/@unit" />
  <xsl:param name="Surface.2D_Area.unit">default</xsl:param>
  <xsl:param name="Surface.2D_Area.precision">0.00</xsl:param>
  <xsl:param name="Surface.2D_Area.rounding">normal</xsl:param>
  <xsl:param name="Earthwork.Volume.unit">default</xsl:param>
  <xsl:param name="Earthwork.Volume.precision">0.00</xsl:param>
  <xsl:param name="Earthwork.Volume.rounding">normal</xsl:param>
  <xsl:param name="projectName" select="AeccEarthworkXML/Project/@name" />
  <xsl:param name="alignmentName" select="AeccEarthworkXML/Alignment/@name" />
  <xsl:param name="delimiterPosition" select="AeccEarthworkXML/Settings/Station/@delimiterPosition"></xsl:param>
  <xsl:template match="/">
    <html>
      <head>
        <title>Quantities Report <xsl:value-of select="//lx:Alignment/@name" /></title>
      </head>
      <body>
        <div style="width:7in">
          <h1 align="center">Volume Rapport</h1>
          <table border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td>
                <h3>
									Tegning:  <xsl:value-of select="AeccEarthworkXML/Project/@name" /></h3>
              </td>
            </tr>
            <tr>
              <td>Linieføring:  <xsl:value-of select=".//Alignment/@name" /><!-- Changed--></td>
            </tr>
            <tr>
              <td>Sektionsgruppe:  <xsl:value-of select=".//Alignment/CrossSects/@name" /><!-- Changed--></td>
            </tr>
            <tr>
              <xsl:variable name="stationStart" select=".//Alignment/CrossSects/@startStaEq" />
              <!-- Changed-->
              <!--                                                   Delimiter Position                                 -->
              <xsl:choose>
                <xsl:when test="$delimiterPosition='1+00000'">
                  <xsl:variable name="nBase" select="landUtils:setStationBase(100000)" />
                </xsl:when>
                <xsl:when test="$delimiterPosition='1+0000'">
                  <xsl:variable name="nBase" select="landUtils:setStationBase(10000)" />
                </xsl:when>
                <xsl:when test="$delimiterPosition='1+000'">
                  <xsl:variable name="nBase" select="landUtils:setStationBase(1000)" />
                </xsl:when>
                <xsl:when test="$delimiterPosition='1+00'">
                  <xsl:variable name="nBase" select="landUtils:setStationBase(100)" />
                </xsl:when>
                <xsl:when test="$delimiterPosition='1+0'">
                  <xsl:variable name="nBase" select="landUtils:setStationBase(10)" />
                </xsl:when>
              </xsl:choose>
              <td>Start station:  <xsl:value-of select="landUtils:getFormattedStation(string($stationStart))" /></td>
            </tr>
            <tr>
              <xsl:variable name="stationEnd" select=".//Alignment/CrossSects/@endStaEq" />
              <!-- Changed-->
              <td>Slut station:  <xsl:value-of select="landUtils:getFormattedStation(string($stationEnd))" /></td>
            </tr>
          </table>
          <br />
          <table bordercolor="black" border="1" cellspacing="0" cellpadding="3" width="98%" align="center">
            <tr style="font-size:10pt;font-family:Verdana">
              <xsl:variable name="linearUnit" select="AeccEarthworkXML/Settings/Distance/@unit" />
              <!-- Changed-->
              <xsl:variable name="areaUnit" select="AeccEarthworkXML/Settings/Area/@unit" />
              <xsl:variable name="volumeUnit" select="AeccEarthworkXML/Settings/Volume/@unit" />
              <th>Station</th>
              <!--<th>Raw Station</th>-->
              <!--                                                   Cut Area                                   -->
              <xsl:choose>
                <xsl:when test="$areaUnit='square foot'">
                  <th>Cut Area (Sq.ft.)</th>
                </xsl:when>
                <xsl:when test="$areaUnit='square meter'">
                  <th>Cut areal</th>
                </xsl:when>
                <xsl:otherwise>
                  <th>Cut areal</th>
                </xsl:otherwise>
              </xsl:choose>
              <!--                                                   Cut Volume                              -->
              <xsl:choose>
                <xsl:when test="$volumeUnit='cubic foot'">
                  <th>Cut Volume (Cu.ft.)</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic meter'">
                  <th>Cut vol.</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic yard'">
                  <th>Cut Volume (Cu.yd.)</th>
                </xsl:when>
                <xsl:otherwise>
                  <th>Cut vol.</th>
                </xsl:otherwise>
              </xsl:choose>
              <!--                                                   Reusable Volume                     -->
              <xsl:choose>
                <xsl:when test="$volumeUnit='cubic foot'">
                  <th>Reusable Volume (Cu.ft.)</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic meter'">
                  <th>Reusable vol.</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic yard'">
                  <th>Reusable Volume (Cu.yd.)</th>
                </xsl:when>
                <xsl:otherwise>
                  <th>Reusable vol.</th>
                </xsl:otherwise>
              </xsl:choose>
              <!--                                                   Fill Area          -->
              <xsl:choose>
                <xsl:when test="$areaUnit='square foot'">
                  <th>Fill Area (Sq.ft.)</th>
                </xsl:when>
                <xsl:when test="$areaUnit='square meter'">
                  <th>Fill areal</th>
                </xsl:when>
                <xsl:otherwise>
                  <th>Fill areal</th>
                </xsl:otherwise>
              </xsl:choose>
              <!--                                                   Fill Volume          -->
              <xsl:choose>
                <xsl:when test="$volumeUnit='cubic foot'">
                  <th>Fill Volume (Cu.ft.)</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic meter'">
                  <th>Fill vol.</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic yard'">
                  <th>Fill Volume (Cu.yd.)</th>
                </xsl:when>
                <xsl:otherwise>
                  <th>Fill vol.</th>
                </xsl:otherwise>
              </xsl:choose>
              <!--                                                   Cumulative Cut Volume          -->
              <xsl:choose>
                <xsl:when test="$volumeUnit='cubic foot'">
                  <th>Cum. Cut Vol. (Cu.ft.)</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic meter'">
                  <th>Akk. cut vol.</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic yard'">
                  <th>Cum. Cut Vol. (Cu.yd.)</th>
                </xsl:when>
                <xsl:otherwise>
                  <th>Akk. cut vol.</th>
                </xsl:otherwise>
              </xsl:choose>
              <!--                                                   Cumulative Reusable Volume          -->
              <xsl:choose>
                <xsl:when test="$volumeUnit='cubic foot'">
                  <th>Cum. Reusable Vol. (Cu.ft.)</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic meter'">
                  <th>Akk. reusable vol.</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic yard'">
                  <th>Cum. Reusable Vol. (Cu.yd.)</th>
                </xsl:when>
                <xsl:otherwise>
                  <th>Akk. reusable vol.</th>
                </xsl:otherwise>
              </xsl:choose>
              <!--                                                   Cumulative Fill Volume          -->
              <xsl:choose>
                <xsl:when test="$volumeUnit='cubic foot'">
                  <th>Cum. Fill Vol. (Cu.ft.)</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic meter'">
                  <th>Akk. fill vol.</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic yard'">
                  <th>Cum. Fill Vol. (Cu.yd.)</th>
                </xsl:when>
                <xsl:otherwise>
                  <th>Akk. fill vol.</th>
                </xsl:otherwise>
              </xsl:choose>
              <!--<th>Net Volume</th>-->
              <!--                                                   Cumulative Net Volume          -->
              <xsl:choose>
                <xsl:when test="$volumeUnit='cubic foot'">
                  <th>Cum. Net Vol. (Cu.ft.)</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic meter'">
                  <th>Akk. netto vol.</th>
                </xsl:when>
                <xsl:when test="$volumeUnit='cubic yard'">
                  <th>Cum. Net Vol. (Cu.yd.)</th>
                </xsl:when>
                <xsl:otherwise>
                  <th>Akk. netto vol.</th>
                </xsl:otherwise>
              </xsl:choose>
              <th />
              <!-- extra cell at the end is indroduced-->
            </tr>
            <tr>
              <!-- Introduces a small gap between header and the data-->
            </tr>
            <!--     Following section presents earthwork data in tabular form-->
            <xsl:for-each select="AeccEarthworkXML">
              <xsl:for-each select="//Alignment/CrossSects">
                <xsl:for-each select="./CrossSect">
                  <tr style="font-size:10pt;font-family:Verdana">
                    <xsl:variable name="station" select="@staEq" />
                    <td align="right">
                      <xsl:value-of select="landUtils:getFormattedStation(string($station))" />
                    </td>
                    <xsl:variable name="areaCut" select="@areaCut" />
                    <xsl:variable name="areaFill" select="@areaFill" />
                    <xsl:variable name="areaUsable" select="@areaUsable" />
                    <xsl:variable name="incVolCut" select="@volumeCut" />
                    <xsl:variable name="incVolFill" select="@volumeFill" />
                    <xsl:variable name="incVolUsable" select="@volumeUsable" />
                    <xsl:variable name="cumVolCut" select="@cumVolumeCut" />
                    <xsl:variable name="cumVolFill" select="@cumVolumeFill" />
                    <xsl:variable name="cumVolUsable" select="@cumVolumeUsable" />
                    <xsl:variable name="massHaul" select="@massHaul" />
                    <!--                                                   Cut Area                                   -->
                    <xsl:choose>
                      <xsl:when test="@areaCut">
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string($areaCut), string($SourceAreaUnit), string($Surface.2D_Area.unit), string($Surface.2D_Area.precision), string($Surface.2D_Area.rounding))" />
                        </td>
                      </xsl:when>
                      <xsl:otherwise>
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string(0.0), string($SourceAreaUnit), string($Surface.2D_Area.unit), string($Surface.2D_Area.precision), string($Surface.2D_Area.rounding))" />
                        </td>
                      </xsl:otherwise>
                    </xsl:choose>
                    <!--                                                   Cut Volume                                   -->
                    <xsl:choose>
                      <xsl:when test="@volumeCut">
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string($incVolCut), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:when>
                      <xsl:otherwise>
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string(0.0), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:otherwise>
                    </xsl:choose>
                    <!--                                                   Reusable Volume                                   -->
                    <xsl:choose>
                      <xsl:when test="@volumeUsable">
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string($incVolUsable), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:when>
                      <xsl:otherwise>
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string(0.0), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:otherwise>
                    </xsl:choose>
                    <!--                                                   Fill Area                                   -->
                    <xsl:choose>
                      <xsl:when test="@areaFill">
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string($areaFill), string($SourceAreaUnit), string($Surface.2D_Area.unit), string($Surface.2D_Area.precision), string($Surface.2D_Area.rounding))" />
                        </td>
                      </xsl:when>
                      <xsl:otherwise>
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string(0.0), string($SourceAreaUnit), string($Surface.2D_Area.unit), string($Surface.2D_Area.precision), string($Surface.2D_Area.rounding))" />
                        </td>
                      </xsl:otherwise>
                    </xsl:choose>
                    <!--                                                   Fill Volume                                   -->
                    <xsl:choose>
                      <xsl:when test="@volumeFill">
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string($incVolFill), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:when>
                      <xsl:otherwise>
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string(0.0), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:otherwise>
                    </xsl:choose>
                    <!--                                                   Cumulativive Cut Volume                   -->
                    <xsl:choose>
                      <xsl:when test="@cumVolumeCut">
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string($cumVolCut), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:when>
                      <xsl:otherwise>
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string(0.0), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:otherwise>
                    </xsl:choose>
                    <!--                                                   Cumulative Reusable Volume                 -->
                    <xsl:choose>
                      <xsl:when test="@cumVolumeUsable">
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string($cumVolUsable), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:when>
                      <xsl:otherwise>
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string(0.0), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:otherwise>
                    </xsl:choose>
                    <!--                                                   Cumulative Fill Volume                                   -->
                    <xsl:choose>
                      <xsl:when test="@cumVolumeFill">
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string($cumVolFill), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:when>
                      <xsl:otherwise>
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string(0.0), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:otherwise>
                    </xsl:choose>
                    <!--                                                   Cumulative Net Volume                                  -->
                    <xsl:choose>
                      <xsl:when test="@massHaul">
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string($massHaul), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:when>
                      <xsl:otherwise>
                        <td align="right">
                          <xsl:value-of select="landUtils:FormatNumber(string(0.0), string($SourceVolumeUnit), string($Earthwork.Volume.unit), string($Earthwork.Volume.precision), string($Earthwork.Volume.rounding))" />
                        </td>
                      </xsl:otherwise>
                    </xsl:choose>
                  </tr>
                </xsl:for-each>
              </xsl:for-each>
            </xsl:for-each>
          </table>
        </div>
      </body>
    </html>
  </xsl:template>
  <msxsl:script language="vbScript" implements-prefix="earthworkUtils"><![CDATA[
function FormatVolume(numberStr, fromStr, toStr, precisionStr, roundingStr)

	dim numStr,fStr,tStr,pStr,rStr,origNumber,convNumber,precDepth,fixedDec,rNumber
	fStr = fromStr
	tStr = toStr
	pStr = precisionStr
	rStr = roundingStr
	
	numStr = numberStr


	origNumber = numStr
	
	convNumber = 0
	rNumber = numberStr
	
	' Do conversion if necessary
	if  (tStr = "default") then
		convNumber = origNumber
	else
		convNumber = ConvertVolume(origNumber, fStr, tStr)
	end if
	rNumber = FormatPrecision(convNumber, pStr, rStr)
	
	FormatVolume = CStr(rNumber)

end function

function ConvertVolume(num, fromStr, toStr)

	dim convNumber 
	dim numer 

	convNumber = num
	numer = num

	if(fromStr = "cubicFeet") then
		if(toStr = "cubicMeter") then
			convNumber = CubicFeetToMeters(numer)
		end if
	
	elseif(fromStr = "cubicMeter") then
		if(toStr = "cubicFeet") then
		
			convNumber = CubicMeterToFeet(numer)
		end if
	else
		convNumber = numer
	end if
	
	ConvertVolume = convNumber
end function


function CubicMeterToFeet(d)

	CubicMeterToFeet = d/(.3048^3)
end function

function CubicFeetToMeters(d)

	CubicFeetToMeters =  d * (.3048^3)
end function



]]></msxsl:script>
</xsl:stylesheet>