﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:lx="http://www.landxml.org/schema/LandXML-1.2" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:landUtils="http://www.autodesk.com/land/civil/vcedit" xmlns:lxml="urn:lx_utils">
  <xsl:output method="html" encoding="UTF-8" />
  <!--Description:SurfaceReport.
This form is valid for LandXML 0.88, 1.0, 1.1 and 1.2 data.-->
  <!--CreatedBy:Autodesk Inc. -->
  <!--DateCreated:06/15/2002 -->
  <!--LastModifiedBy:Autodesk Inc. -->
  <!--DateModified:01/16/2006 -->
  <!--OutputExtension:html -->
  <!-- =========== JavaScript Include==== -->
  <xsl:include href="..\LandXMLUtils_JScript.xsl" />
  <xsl:include href="..\Surface_Layout.xsl" />
  <xsl:include href="..\General_Formating_JScript.xsl" />
  <xsl:include href="..\Conversion_JScript.xsl" />
  <xsl:include href="header_DK.xsl" />
  <!-- ================================= -->
  <xsl:param name="SourceLinearUnit" select="//lx:Units/*/@linearUnit" />
  <xsl:param name="SourceAreaUnit" select="//lx:Units/*/@areaUnit" />
  <xsl:param name="SourceVolumeUnit" select="//lx:Units/*/@volumeUnit" />
  <xsl:template match="/">
    <xsl:call-template name="SetGeneralFormatParameters" />
    <html>
      <body>
        <div style="width:7in">
          <xsl:call-template name="AutoHeader">
            <xsl:with-param name="ReportTitle">Surface rapport</xsl:with-param>
            <xsl:with-param name="ReportDesc">
              <xsl:value-of select="//lx:Project/@name" />
            </xsl:with-param>
          </xsl:call-template>
          <table width="100%" border="2">
            <tr>
              <td>
                <b>Afstande: </b>
                <xsl:value-of select="//lx:Units/*/@linearUnit" />
              </td>
              <td>
                <b>Arealer: </b>
                <xsl:value-of select="//lx:Units/*/@areaUnit" />
              </td>
              <td>
                <b>Volume: </b>
                <xsl:value-of select="//lx:Units/*/@volumeUnit" />
              </td>
            </tr>
          </table>
          <xsl:apply-templates select="//lx:Surface" />
          <xsl:apply-templates select="//lx:SurfVolume" />
          <hr color="black" />
        </div>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="//lx:Surface">
    <hr color="black" />
    <b>Surface: <xsl:value-of select="@name" /></b>
    <br />
		Beskrivelse: <xsl:value-of select="@desc" /><table width="100%" bgcolor="lightgreen"><tr><td>2D areal: <xsl:value-of select="./lx:Definition/@area2DSurf" /></td><td>3D areal: <xsl:value-of select="./lx:Definition/@area3DSurf" /></td></tr><tr><td>Max kote: <xsl:value-of select="./lx:Definition/@elevMax" /></td><td>Min kote: <xsl:value-of select="./lx:Definition/@elevMin" /></td></tr><tr><td>Antal punkter: <xsl:value-of select="count(.//lx:P)" /></td><td>Antal trekanter: <xsl:value-of select="count(.//lx:F[not(@i)])" /></td></tr></table></xsl:template>
  <xsl:template match="//lx:SurfVolume">
    <hr color="black" />
    <b>Surface volume: <xsl:value-of select="@name" /></b>
    <br />
		Beskrivelse: <xsl:value-of select="@desc" /><table width="100%" bgcolor="cyan"><tr><td>Cut vol.: <xsl:value-of select="@volCut" /></td><td>Fill vol.: <xsl:value-of select="@volFill" /></td><td>Total vol.: <xsl:value-of select="@volTotal" /></td></tr><tr><td>Compare surface: <xsl:value-of select="@surfCompare" /><br />
				       Base surface: <xsl:value-of select="@surfBase" /></td></tr></table></xsl:template>
</xsl:stylesheet>