<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:gml="http://www.opengis.net/gml"
                xmlns:txdp="http://www.transxml.net/schema/dp/0.3"
                xmlns:txr="http://www.transxml.net/schema/ref/0.3"
                xmlns:txl="http://www.transxml.net/schema/txl/0.3"
                xmlns:c3d="Civil3D.QTO.Computation">
  <!--Description:Quantity Take-Off Report-->
  <!--CreatedBy:Autodesk Inc. -->
  <!--DateCreated:06/27/2008 -->
  <!--LastModifiedBy:Autodesk Inc. -->
  <!--DateCreated:06/27/2008 -->
  <!--OutputExtension:html -->
  <xsl:import href="Sharedlibs (HTML).xsl" />
  <xsl:output method="html" encoding="UTF-8"/>
  <!-- ============================= -->
  <xsl:template match="text()">
    <xsl:value-of select="."/>
  </xsl:template>
  <xsl:variable name="reportType" select="'itemized'" />
  <xsl:variable name="titleText" select="'Detaljeret areal QTO rapport'" />
  <xsl:variable name="unitTypeFilter" select="'area'"/>

  <xsl:template match="/">
    <html>
      <head>
        <fontbase family="monospace"/>
        <title>
          <xsl:value-of select="$titleText"/>
        </title>

        <style type="text/css">
          <xsl:value-of select="$styleText"/>
        </style>
      </head>
      <body>

        <!-- DesignProject Begin -->
        <xsl:for-each select="txdp:DesignProject">
          <!-- DesignProjectPayItemGroup Begin -->
          
          <!--header of the table-->
          <div id="payItemBox">
            <!--header of the table-->

            <table class="takeoffReport">
              <caption>
                <xsl:value-of select="$titleText"/>
              </caption>
              <tr>
                <td colspan="5"></td>
                <td>Centroid</td>
                <td>Centroid</td>
                <td></td>
              </tr>
              <tr>
                <th>Element</th>
                <th>Beskrivelse</th>
                <th>Antal</th>
                <th>Enhed</th>
                <th>Linieføring</th>
                <th>Station</th>
                <th>Offset</th>
                <th>Bemærkninger</th>
              </tr>

              <xsl:for-each select="txdp:group/txdp:DesignProjectPayItemGroup">
                <!-- DesignProjectPayItem Begin -->
                <xsl:for-each select="txdp:item/txdp:DesignProjectPayItem[c3d:referenceInformation/c3d:unitType = $unitTypeFilter]">
                  <!--the content of the table-->
                  <xsl:for-each select="c3d:referenceBaseline/c3d:item">
                    <!--content of table-->
                    <tr>
                      <td>
                        <xsl:value-of select="../..//txr:ReferencePayItem/txr:referencePayItemID"/>
                      </td>

                      <td>
                        <xsl:value-of select="../..//txr:ReferencePayItem/gml:description"/>
                      </td>

                      <td>
                        <xsl:value-of select="c3d:quantity"/>
                      </td>

                      <td>
                        <xsl:value-of select="../..//txl:UnitOfMeasure/txl:unitOfMeasureID"/>
                      </td>

                      <td>
                        <xsl:value-of select="c3d:baselineName"/>
                      </td>

                      <td>
                        <xsl:value-of select="c3d:startStation"/>
                      </td>

                      <td>
                        <xsl:value-of select="concat( c3d:startOffset, ' ', c3d:side)"/>
                      </td>

                      <td>
                        <xsl:value-of select="c3d:remarks"/>
                      </td>
                    </tr>
                    <!--content of table-->

                  </xsl:for-each>
                </xsl:for-each>
                <!-- DesignProjectPayItem End -->
              </xsl:for-each>
              <!-- DesignProjectPayItemGroup End -->
            </table>
          </div>

        </xsl:for-each>
        <!-- DesignProject End -->
      </body>
    </html>

  </xsl:template>



</xsl:stylesheet>

