﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:gml="http://www.opengis.net/gml" 
                xmlns:txdp="http://www.transxml.net/schema/dp/0.3" 
                xmlns:txr="http://www.transxml.net/schema/ref/0.3" 
                xmlns:txl="http://www.transxml.net/schema/txl/0.3" 
                xmlns:c3d="Civil3D.QTO.Computation">
<!--This file define some common templates shared among the general txt xsl reports.-->
  
  <!-- Defien variables for breakline -->
  <xsl:variable name="breakline" select="'&#10;'" />

  <xsl:template name="OutputCSVString">
    <xsl:param name="csvText" />
    <xsl:variable name="processedText">
      <xsl:call-template name="PreProcess4CSVString">
        <xsl:with-param name="csvText" select="$csvText"/>
        <xsl:with-param name="delimiter" select="$listSeparator"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:value-of select="$processedText"/>
  </xsl:template>

  <xsl:template name="PreProcess4CSVString">
    <xsl:param name="csvText"/>
    <xsl:param name="delimiter" />
    <xsl:choose>
      <xsl:when test="contains($csvText, '&#34;') or contains($csvText, $delimiter) ">
        <xsl:variable name="replacedText">
          <xsl:call-template name="string-replace">
            <xsl:with-param name="originalText" select="$csvText"/>
            <xsl:with-param name="toReplace" select="'&#34;'"/>
            <xsl:with-param name="replaceWith" select="'&#34;&#34;'"/>
          </xsl:call-template>
        </xsl:variable>
        <xsl:value-of select="concat( '&#34;', $replacedText, '&#34;')"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$csvText"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="string-replace">
    <xsl:param name="originalText"/>
    <xsl:param name="toReplace"/>
    <xsl:param name="replaceWith"/>
    <xsl:choose>
      <xsl:when test="contains($originalText, $toReplace)">
        <xsl:variable name="prefix" select="substring-before($originalText, $toReplace)"/>
        <xsl:variable name="postfix" select="substring($originalText, string-length($prefix)+string-length($toReplace)+1)"/>
        <xsl:value-of select="concat($prefix, $replaceWith)"/>
        <xsl:call-template name="string-replace">
          <xsl:with-param name="originalText" select="$postfix"/>
          <xsl:with-param name="toReplace" select="$toReplace"/>
          <xsl:with-param name="replaceWith" select="$replaceWith"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$originalText"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>
