<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:gml="http://www.opengis.net/gml"
                xmlns:txdp="http://www.transxml.net/schema/dp/0.3"
                xmlns:txr="http://www.transxml.net/schema/ref/0.3"
                xmlns:txl="http://www.transxml.net/schema/txl/0.3"
                xmlns:c3d="Civil3D.QTO.Computation">
  <!--Description:Quantity Take-Off Report-->
  <!--CreatedBy:Autodesk Inc. -->
  <!--DateCreated:06/27/2008 -->
  <!--LastModifiedBy:Autodesk Inc. -->
  <!--DateCreated:06/27/2008 -->
  <!--OutputExtension:txt -->
  <xsl:import href="SharedLibs (CSV).xsl" />
  <xsl:output method="text" encoding="UTF-8"/>
  <!-- ============================= -->
  <xsl:template match="text()">
    <xsl:value-of select="."/>
  </xsl:template>
  <xsl:variable name="reportType" select="'summary'" />

  <xsl:variable name="listSeparator">
    <xsl:value-of select="/txdp:DesignProject//c3d:listSeparator"/>
  </xsl:variable>
  <!--Varibles of format-->

  <!--Width of the columns-->

  <xsl:template match="/">

    <!-- DesignProject Begin -->
    <xsl:for-each select="txdp:DesignProject">
      <!-- DesignProjectPayItemGroup Begin -->

      <!--header of the table-->
      <xsl:call-template name="OutputCSVString">
        <xsl:with-param name="csvText" select="'Element'"/>
      </xsl:call-template>

      <xsl:value-of select="$listSeparator"/>
      
      <xsl:call-template name="OutputCSVString">
        <xsl:with-param name="csvText" select="'Beskrivelse'"/>
      </xsl:call-template>

      <xsl:value-of select="$listSeparator"/>
      
      <xsl:call-template name="OutputCSVString">
        <xsl:with-param name="csvText" select="'Antal'"/>
      </xsl:call-template>

      <xsl:value-of select="$listSeparator"/>
      
      <xsl:call-template name="OutputCSVString">
        <xsl:with-param name="csvText" select="'Enhed'"/>
      </xsl:call-template>
 
      <xsl:value-of select="$breakline"/>
      
      <xsl:for-each select="txdp:group/txdp:DesignProjectPayItemGroup">
        <!-- DesignProjectPayItem Begin -->
        <xsl:for-each select="txdp:item/txdp:DesignProjectPayItem">

          <!--content of table-->
          <xsl:call-template name="OutputCSVString">
            <xsl:with-param name="csvText" select=".//txr:ReferencePayItem/txr:referencePayItemID"/>
          </xsl:call-template>

          <xsl:value-of select="$listSeparator"/>

          <xsl:call-template name="OutputCSVString">
            <xsl:with-param name="csvText" select=".//txr:ReferencePayItem/gml:description"/>
          </xsl:call-template>

          <xsl:value-of select="$listSeparator"/>

          <xsl:call-template name="OutputCSVString">
            <xsl:with-param name="csvText" select="txdp:estimatedQuantity"/>
          </xsl:call-template>

          <xsl:value-of select="$listSeparator"/>

          <xsl:call-template name="OutputCSVString">
            <xsl:with-param name="csvText" select=".//txl:UnitOfMeasure/txl:unitOfMeasureID"/>
          </xsl:call-template>

          <xsl:value-of select="$breakline"/>
          
        </xsl:for-each>
        <!-- DesignProjectPayItem End -->
      </xsl:for-each>
      <!-- DesignProjectPayItemGroup End -->
    </xsl:for-each>
    <!-- DesignProject End -->

  </xsl:template>



</xsl:stylesheet>

