<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:gml="http://www.opengis.net/gml"
                xmlns:txdp="http://www.transxml.net/schema/dp/0.3"
                xmlns:txr="http://www.transxml.net/schema/ref/0.3"
                xmlns:txl="http://www.transxml.net/schema/txl/0.3"
                xmlns:c3d="Civil3D.QTO.Computation"
                xmlns:msxsl="urn:schemas-microsoft-com:xslt">
  <!--Description:Quantity Take-Off Report-->
  <!--CreatedBy:Autodesk Inc. -->
  <!--DateCreated:06/27/2008 -->
  <!--LastModifiedBy:Autodesk Inc. -->
  <!--DateCreated:06/27/2008 -->
  <!--OutputExtension:html -->
  <xsl:import href="SharedLibs (HTML).xsl" />
  <xsl:output method="html" encoding="UTF-8"/>
  <!-- ============================= -->
  <xsl:template match="text()">
    <xsl:value-of select="."/>
  </xsl:template>
  <xsl:variable name="reportType" select="'summary'" />
  <xsl:variable name="titleText" select="'Samlet QTO rapport'"/>

  <xsl:template match="/">
    <html>
      <head>
        <fontbase family="monospace"/>
        <title>
          <xsl:value-of select="$titleText"/>
        </title>

        <style type="text/css">
          <xsl:value-of select="$styleText"/>
        </style>
      </head>
      <body>
        <!-- DesignProject Begin -->
        <xsl:for-each select="txdp:DesignProject">
          <div id="payItemBox">
            <table class="takeoffReport">
              <caption>
                <xsl:value-of select="$titleText"/>
              </caption>
              <tr>
                <th>Element</th>
                <th>Beskrivelse</th>
                <th>Antal</th>
                <th>Enhed</th>
              </tr>

              <!-- DesignProjectPayItemGroup Begin -->
              <xsl:for-each select="txdp:group/txdp:DesignProjectPayItemGroup">

                <!-- DesignProjectPayItem Begin -->
                <xsl:for-each select="txdp:item/txdp:DesignProjectPayItem">
                  <tr>
                    <td>
                      <xsl:value-of select=".//txr:ReferencePayItem/txr:referencePayItemID"/>
                    </td>

                    <td>
                      <xsl:value-of select=".//txr:ReferencePayItem/gml:description"/>
                    </td>
                    
                    <td>
                      <xsl:value-of select="txdp:estimatedQuantity"/>
                    </td>
                    
                    <td>
                      <xsl:value-of select=".//txl:UnitOfMeasure/txl:unitOfMeasureID"/>
                    </td>
                  </tr>
                </xsl:for-each>
                <!-- DesignProjectPayItem End -->
              </xsl:for-each>
              <!-- DesignProjectPayItemGroup End -->
            </table>
          </div>

        </xsl:for-each>
        <!-- DesignProject End -->

      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>
